Skip to main content
GET
Get a building work

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Query Parameters

extend
enum<string>[]

Extend options (JSON-encoded array, e.g. ?extend=["category"]):

  • "units": Adds units (the active units this building work targets).
  • "commission": Adds commission (the most recently held safety commission, or null).
  • "counts": Adds _count of linked documents, commissions and units.
  • "created-by": Adds the building work author (createdByUser with display name).
  • "documents": Adds documents (the files attached to this building work, with a presigned download URL each).
  • "actions-info": Projects { canBeUpdated, canBeArchived, canBeUnarchived, canBeDeleted }.
  • "updatable-fields": Per-field write rules for this building work in its current state.
Available options:
units,
commission,
counts,
created-by,
documents,
actions-info,
updatable-fields

Response

Default Response

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
ref
string
required
Maximum string length: 40
Pattern: ^[A-Z]+-[1-9]\d*(?:-[A-Z]+-[1-9]\d*)*$
authorizationNumber
string
required
Required string length: 1 - 200
status
enum<string>
required
Available options:
rejected,
pending,
approved,
partially_received,
received
description
string | null
required
Maximum string length: 2000
workNature
string | null
required
Maximum string length: 200
contractorName
string | null
required
Maximum string length: 200
supervisingTechnicianName
string | null
required
Maximum string length: 200
architectName
string | null
required
Maximum string length: 200
receivedAt
string<date-time> | null
required
startAt
string<date-time> | null
required
endAt
string<date-time> | null
required
archivedAt
string<date-time> | null
required
deletedAt
string<date-time> | null
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
units
object[]
commission
object | null
_count
object
createdByUser
object | null
documents
object[]
actions
object
updatableFields
object